Last Comment Bug 777899 - speakerphone toggles off on answer call
: speakerphone toggles off on answer call
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla17
Assigned To: Hsin-Yi Tsai [:hsinyi]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 13:51 PDT by Tony Chung [:tchung]
Modified: 2012-08-13 11:11 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Patch (1.51 KB, patch)
2012-08-08 20:48 PDT, Hsin-Yi Tsai [:hsinyi]
philipp: review+
Details | Diff | Splinter Review

Description Tony Chung [:tchung] 2012-07-26 13:51:10 PDT
Cross posting from https://github.com/mozilla-b2g/gaia/issues/2095.   More steps are in the bug.

Enable the speakerphone option when the call is connecting..  once it connects, speakerphone disables.  You have to retap speakerphone to enable it again.

Tested against a 7-25-2012 daily otoro build.

Repro

    Dial a remote number and hit the call button.
    While it is ringing, activate the speakerphone.

Expected

    Speakerphone stays on once the call is answered on remote end.

Actual

    Speakerphone actually toggles off once the call is answered on remote end.
Comment 1 Andrew Overholt [:overholt] 2012-08-08 10:22:08 PDT
Tough call, but basecamp-.  We'd love to see this fixed.
Comment 2 Philipp von Weitershausen [:philikon] 2012-08-08 10:23:45 PDT
Steven or Hsinyi, could you see if you can quickly figure this out? It's not a blocker so please don't spend too much time on it, but if there's an easy fix, we'll gladly take it. Thanks!
Comment 3 Hsin-Yi Tsai [:hsinyi] 2012-08-08 19:42:30 PDT
(In reply to Philipp von Weitershausen [:philikon] from comment #2)
> Steven or Hsinyi, could you see if you can quickly figure this out? It's not
> a blocker so please don't spend too much time on it, but if there's an easy
> fix, we'll gladly take it. Thanks!
Sure, let me take a look at this. Also check https://github.com/mozilla-b2g/gaia/issues/2095 to see if there's improvement.
Comment 4 Hsin-Yi Tsai [:hsinyi] 2012-08-08 20:48:14 PDT
Created attachment 650432 [details] [diff] [review]
Patch

Enable/disable speaker when CALL_STATE_CONNECTED according to the user setting.
Comment 6 Ed Morley [:emorley] 2012-08-13 11:11:59 PDT
https://hg.mozilla.org/mozilla-central/rev/4b7f0b17d695

Note You need to log in before you can comment on or make changes to this bug.